import { createRouter, createWebHashHistory } from 'vue-router'
import Home from '../views/Home.vue'
console.log(window.__MICRO_APP_BASE_ROUTE__, 4444)
// vue-router在hash模式下不支持置base添加路由前缀，需要创建一个空的路由页面，将其它路由作为它的children
const routes = [
  {
    path: window.__MICRO_APP_BASE_ROUTE__ || '/app-jojo',
    component: Home,
    redirect: '/app-jojo/index',
    children: [
      {
        path: 'index',
        name: 'index',
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import(/* webpackChunkName: "about" */ '../views/Index.vue')
      },
      {
        path: 'detail',
        name: 'detail',
        // route level code-splitting
        // this generates a separate chunk (about.[hash].js) for this route
        // which is lazy-loaded when the route is visited.
        component: () => import(/* webpackChunkName: "about" */ '../views/Detail.vue')
      }
    ],
  },
]
console.log(routes)
const router = createRouter({
  history: createWebHashHistory(),
  routes,
})

export default router
